# coding: utf-8

"""
    DLCM-Solution

    DLCM application wrapping all modules, All-In-One  # noqa: E501

    The version of the OpenAPI document: 2.1.1
    Contact: eresearch-opensource@unige.ch
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest
import datetime

import dlcmapi_client
from dlcmapi_client.models.preservation_job import PreservationJob  # noqa: E501
from dlcmapi_client.rest import ApiException

class TestPreservationJob(unittest.TestCase):
    """PreservationJob unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional):
        """Test PreservationJob
            include_option is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # model = dlcmapi_client.models.preservation_job.PreservationJob()  # noqa: E501
        if include_optional :
            return PreservationJob(
                links = None, 
                creation = dlcmapi_client.models.change_info.change-info(
                    when = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'), 
                    who = '0', ), 
                enable = True, 
                execution_number = 1.337, 
                job_recurrence = 'DAILY', 
                job_type = 'ARCHIVE_CHECK', 
                last_update = dlcmapi_client.models.change_info.change-info(
                    when = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'), 
                    who = '0', ), 
                name = '0', 
                res_id = '0', 
                scheduling = dlcmapi_client.models.preservation_job_scheduling.preservation_job_scheduling(
                    hour = 1.337, 
                    month = 1.337, 
                    month_day = 1.337, )
            )
        else :
            return PreservationJob(
        )

    def testPreservationJob(self):
        """Test PreservationJob"""
        inst_req_only = self.make_instance(include_optional=False)
        inst_req_and_optional = self.make_instance(include_optional=True)


if __name__ == '__main__':
    unittest.main()
